package DesignPatterns.Erzeugungsmuster_CreationalPatterns.Factory.Zoo;

import java.util.Scanner;

public class ZooUI {
	
	FaktoryMethode system;
	
	public ZooUI() {
		startProgramm();
		
	}
	
	private void startProgramm() {
		Scanner eingabe = new Scanner(System.in);
		System.out.println("Willkommen in meinem ZOO");
		while (true) {
			System.out.println("Welches Tier möchten Sie haben?");
			System.out.println("1. Katze");
			System.out.println("2. Hund");
			System.out.println("3. Mouse");
			String auswahl = eingabe.nextLine();
			String name = eingabe.nextLine();
			int alter = eingabe.nextInt();
			switch (auswahl) {
				case "Katze":
					System.out.println("Name: ");
					system.erzeugeTiere(auswahl, auswahl, 0);
			}
			
			
		}
	}
}
